package com.miaxis.app.controller.fulu;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.fulu.service.IFuluCommodityInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【福禄商品】Controller
 * @author wwl
 * @version 1.0
 * @date 2021/6/25 11:50
 */
@RestController
@AllArgsConstructor
@RequestMapping(Constants.STUDENT_PREFIX+"/applet/fulu")
@Api(tags={"【小程序-福禄商品】"})
public class AppletFuluCommodityInfoController extends BaseController {

    private final IFuluCommodityInfoService fuluCommodityInfoService;

    /**
     * 查询福禄商品列表
     */
    @GetMapping("/list")
    @ApiOperation("查询福禄商品列表")
    public Response list(){
        return fuluCommodityInfoService.queryFuluCommodityInfoList();
    }


}
