package com.miaxis.activities.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.activities.mapper.ActivitiesTmallMapper;
import com.miaxis.activities.domain.ActivitiesTmall;
import com.miaxis.activities.service.IActivitiesTmallService;

/**
 * 活动-天猫订单Service业务层处理
 *
 * @author miaxis
 * @date 2021-06-29
 */
@Service
public class ActivitiesTmallServiceImpl extends ServiceImpl<ActivitiesTmallMapper, ActivitiesTmall> implements IActivitiesTmallService {
    @Autowired
    private ActivitiesTmallMapper activitiesTmallMapper;

    /**
     * 查询活动-天猫订单列表
     *
     * @param activitiesTmall 活动-天猫订单
     * @return 活动-天猫订单
     */
    @Override
    public List<ActivitiesTmall> selectActivitiesTmallList(ActivitiesTmall activitiesTmall){
        return activitiesTmallMapper.selectActivitiesTmallList(activitiesTmall);
    }

    @Override
    public ActivitiesTmall getByTmallNoWithPhoneBill(String tmallNo) {
        return activitiesTmallMapper.getByTmallNoWithPhoneBill(tmallNo);
    }
}
