package com.miaxis.collection.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 收藏对象
 * @Author wwl
 * @Date 2021/3/15
 * @Version 1.0
 */
@Data
@TableName("collection_info")
@ApiModel(value = "CollectionInfo", description = "收藏对象 collection_info")
public class CollectionInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户id----(对应user_info表id) */
    @TableField("user_id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @TableField("collection_id")
    @ApiModelProperty(value = "收藏id---（对应类别表id）")
    private Long collectionId;

    @TableField("collection_type")
    @ApiModelProperty(value = "收藏类别")
    private String collectionType;

}
