package com.miaxis.collection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.collection.domain.CollectionInfo;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.UserInfo;

/**
 * 收藏Service接口
 * @Author wwl
 * @Date 2021/3/15
 * @Version 1.0
 */
public interface ICollectionInfoService extends IService<CollectionInfo> {

    /**
     * 查询用户收藏列表
     * @param userInfo
     * @param collectionType
     * @return
     */
    Response collectionList(UserInfo userInfo, String collectionType);

    /**
     * applet
     * 收藏商家
     * @param userInfo 当前用户
     * @param id 商家id
     * @return
     */
    Response collectionBusiness(UserInfo userInfo, Long id);

    /**
     * 取消收藏
     * @param userId
     * @param ids
     * @return
     */
    Response removeCollectionByIds(Long userId,Long[] ids);

    /**
     * 通用收藏接口
     * @param userInfo
     * @param id
     * @param collectionType
     * @return
     */
    Response collectionOperation(UserInfo userInfo, Long id, String collectionType);
}
