package com.miaxis.collection.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * applet 收藏对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/7/26 14:01
 */
@Data
@ApiModel(value = "AppletCollectionVo", description = "收藏对象返回参")
public class AppletCollectionVo implements Serializable {

    @TableId(value = "id")
    private Long id;

    @TableField("collection_id")
    @ApiModelProperty(value = "收藏id---（对应类别表id）")
    private Long collectionId;

    @ApiModelProperty(value = "标题内容")
    private String title;

    @ApiModelProperty(value = "描述")
    private String introduction;

    @ApiModelProperty(value = "封面访问地址")
    private String fileUrl;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @TableField("collection_type")
    @ApiModelProperty(value = "收藏类别")
    private String collectionType;

}
