package com.miaxis.teachingDsp.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 学车短视频对象 teaching_dsp_info
 *
 * @author miaxis
 * @date 2021-12-09
 */
@Data
@TableName("teaching_dsp_info")
@ApiModel(value = "TeachingDspInfo", description = "学车短视频对象 teaching_dsp_info")
public class TeachingDspInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 视频文件id */
    @Excel(name = "视频文件id")
    @TableField("file_id")
    @ApiModelProperty(value = "视频文件id")
    private Long fileId;

    /** 封面图片id */
    @Excel(name = "封面图片id")
    @TableField("cover_file_id")
    @ApiModelProperty(value = "封面图片id")
    private Long coverFileId;

    /** 视频标题 */
    @Excel(name = "视频标题")
    @TableField("title")
    @ApiModelProperty(value = "视频标题")
    private String title;

    /** 视频描述 */
    @Excel(name = "视频描述")
    @TableField("video_describe")
    @ApiModelProperty(value = "视频描述")
    private String videoDescribe;

    /** 视频时长 */
    @Excel(name = "视频时长")
    @TableField("video_duration")
    @ApiModelProperty(value = "视频时长")
    private String videoDuration;

    /** 视频大小（单位:MB） */
    @Excel(name = "视频大小（单位:MB）", readConverterExp = "单=位:MB")
    @TableField("video_size")
    @ApiModelProperty(value = "视频大小（单位:MB）")
    private BigDecimal videoSize;

    /** 视频高度 */
    @Excel(name = "视频高度")
    @TableField("video_height")
    @ApiModelProperty(value = "视频高度")
    private Integer videoHeight;

    /** 视频宽度 */
    @Excel(name = "视频宽度")
    @TableField("video_width")
    @ApiModelProperty(value = "视频宽度")
    private Integer videoWidth;

    /** 云点播视频fileId */
    @Excel(name = "云点播视频fileId")
    @TableField("vod_video_file_id")
    @ApiModelProperty(value = "云点播视频fileId")
    private String vodVideoFileId;

    /** 上架状态  0：已上架、1：未上架 */
    @Excel(name = "上架状态  0：已上架、1：未上架")
    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @Excel(name = "状态  0：有效(默认)、1：失效 （伪删除）", readConverterExp = "伪=删除")
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

}
