package com.miaxis.teachingDsp.service;

import java.util.List;

import com.miaxis.common.core.domain.Response;
import com.miaxis.teachingDsp.domain.TeachingDspInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.teachingDsp.dto.TeachingDspInfoDto;
import org.springframework.web.multipart.MultipartFile;

/**
 * 学车短视频Service接口
 *
 * @author miaxis
 * @date 2021-12-09
 */
public interface ITeachingDspInfoService extends IService<TeachingDspInfo>{
    /**
     * 查询学车短视频列表
     *
     * @param teachingDspInfo 学车短视频
     * @return 学车短视频集合
     */
    public List<TeachingDspInfo> selectTeachingDspInfoList(TeachingDspInfo teachingDspInfo);


    /**
     * 上架教学视频
     * @param ids
     * @return
     */
    Response removePutShelfByIds(Long[] ids);

    /**
     * 下架教学视频
     * @param ids
     * @return
     */
    Response removeOffShelfByIds(Long[] ids);


    /**
     * 封面上传
     * @param fileId
     * @param coverFile
     * @return
     */
    Response coverUp(String fileId, MultipartFile coverFile);

    /**
     * 新增学车短视频
     * @param teachingDspInfoDto
     * @return
     */
    Response saveTeachingDsp(TeachingDspInfoDto teachingDspInfoDto);

    /**
     * 修改学车短视频
     * @param teachingDspInfoDto
     * @return
     */
    Response updateTeachingDspById(TeachingDspInfoDto teachingDspInfoDto);
}
