package com.miaxis.teachingVideo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 教学视频对象 teaching_video_info
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 14:43
 */
@Data
@TableName("teaching_video_info")
@ApiModel(value = "TeachingVideoInfo", description = "教学视频对象 teaching_video_info")
public class TeachingVideoInfo extends BaseBusinessEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("file_id")
    @ApiModelProperty(value = "视频文件id")
    private Long fileId;

    @TableField("cover_file_id")
    @ApiModelProperty(value = "封面图片id")
    private Long coverFileId;

    @TableField("title")
    @ApiModelProperty(value = "视频标题")
    private String title;

    @TableField("video_describe")
    @ApiModelProperty(value = "视频描述")
    private String videoDescribe;

    @TableField("video_duration")
    @ApiModelProperty(value = "视频时长")
    private String videoDuration;

    @TableField("video_size")
    @ApiModelProperty(value = "视频大小（单位:MB）")
    private BigDecimal videoSize;

    @TableField("video_width")
    @ApiModelProperty(value = "视频宽度")
    private Integer videoWidth;

    @TableField("video_height")
    @ApiModelProperty(value = "视频高度")
    private Integer videoHeight;

    @TableField("teaching_video_type_id")
    @ApiModelProperty(value = "教学视频分类id （关联teaching_video_type_info表）")
    private Long teachingVideoTypeId;

    @TableField("vod_video_file_id")
    @ApiModelProperty(value = "云点播视频fileId")
    private String vodVideoFileId;

    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

}
