package com.miaxis.teachingVideo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 教学视频分类对象 teaching_video_type_info
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 13:47
 */
@Data
@TableName("teaching_video_type_info")
@ApiModel(value = "TeachingVideoTypeInfo", description = "教学视频分类对象 teaching_video_type_info")
public class TeachingVideoTypeInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("type_name")
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @TableField("pid")
    @ApiModelProperty(value = "父节点（预留）")
    private Long pid;

    @TableField("type_describe")
    @ApiModelProperty(value = "类型描述，该类型名称的描述")
    private String typeDescribe;

    @TableField("type_icon")
    @ApiModelProperty(value = "类型图标--对应file_info的id")
    private Long typeIcon;

    @TableField("type_sort")
    @ApiModelProperty(value = "排序")
    private Integer typeSort;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

}
