package com.miaxis.teachingVideo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.teachingVideo.domain.TeachingVideoInfo;
import com.miaxis.teachingVideo.dto.TeachingVideoInfoTypeIdDto;
import com.miaxis.teachingVideo.vo.TeachingVideoInfoAppletVo;
import com.miaxis.teachingVideo.vo.TeachingVideoInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 教学视频Mapper接口
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 14:45
 */
public interface TeachingVideoInfoMapper extends BaseMapper<TeachingVideoInfo> {

    /**
     * 查询教学视频列表
     *
     * @param teachingVideoInfo 教学视频
     * @return 教学视频集合
     */
    List<TeachingVideoInfoVo> selectTeachingVideoInfoList(TeachingVideoInfo teachingVideoInfo);

    /**
     * 获取教学视频详细信息
     * @param id
     * @return
     */
    TeachingVideoInfoVo getTeachingVideoDetailsById(Long id);

    /**
     * 根据视频分类查询教学视频列表
     * @param pid
     * @return
     */
    List<TeachingVideoInfoAppletVo> getTeachingVideoDetailsByTypeIds(String pid);

    /***
     * 根据关键字搜索教学视频
     * @param keyword
     * @return
     */
    List<TeachingVideoInfoAppletVo> searchTeachingVideoInfoByKeyword(@Param("keyword") String keyword);


    /**
     * 根据类型ID获取视频
     * @param typeId
     * @return
     */
    List<TeachingVideoInfoAppletVo> getTeachingVideoByTypeId(Long typeId);
}
