package com.miaxis.teachingVideo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.teachingVideo.domain.TeachingVideoTypeInfo;
import com.miaxis.teachingVideo.vo.AppletTeachingVideoTypeInfoVo;
import com.miaxis.teachingVideo.vo.TeachingVideoTypeInfoVo;

import java.util.List;

/**
 * 教学视频分类mapper接口
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 13:53
 */
public interface TeachingVideoTypeInfoMapper extends BaseMapper<TeachingVideoTypeInfo> {
    /**
     * 查询教学视频分类列表
     *
     * @param teachingVideoTypeInfo 教学视频分类
     * @return 教学视频分类集合
     */
    List<TeachingVideoTypeInfo> selectTeachingVideoTypeInfoList(TeachingVideoTypeInfo teachingVideoTypeInfo);

    /**
     * 查询教学视频分类树形列表
     * @return
     */
    List<TeachingVideoTypeInfoVo> selectTeachingVideoTypeInfoTreeList();

    /**
     * 查询教学视频分类树形列表
     * @return
     */
    List<AppletTeachingVideoTypeInfoVo> selectAppletTeachingVideoTypeInfoTreeList();
}
