package com.miaxis.teachingVideo.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.teachingVideo.domain.TeachingVideoTypeInfo;
import com.miaxis.teachingVideo.vo.AppletTeachingVideoTypeInfoVo;
import com.miaxis.teachingVideo.vo.TeachingVideoTypeInfoVo;

import java.util.List;

/**
 * 教学视频分类Service接口
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 13:51
 */
public interface ITeachingVideoTypeInfoService extends IService<TeachingVideoTypeInfo> {
    /**
     * 查询教学视频分类列表
     *
     * @param teachingVideoTypeInfo 教学视频分类
     * @return 教学视频分类集合
     */
    List<TeachingVideoTypeInfo> selectTeachingVideoTypeInfoList(TeachingVideoTypeInfo teachingVideoTypeInfo);

    /**
     * 查询教学视频分类树形列表
     * @return
     */
    Response<List<TeachingVideoTypeInfoVo>> selectTeachingVideoTypeInfoTreeList();

    /**
     * 查询教学视频分类树形列表(小程序用)
     * @return
     */
    Response<List<AppletTeachingVideoTypeInfoVo>> selectAppletTeachingVideoTypeInfoTreeList();

    /**
     * 删除教学视频分类（伪删除）
     * @param ids
     * @return
     */
    Response removeVideoTypeByIds(Long[] ids);


}
