package com.miaxis.teachingVideo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * applet
 * 教学视频对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/7/7 16:43
 */
@Data
@ApiModel(value = "TeachingVideoInfoAppletVo", description = "教学视频对象返回参")
public class TeachingVideoInfoAppletVo implements Serializable {

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "视频文件访问地址")
    private String fileUrl;

    @ApiModelProperty(value = "封面图片访问地址")
    private String coverFileUrl;

    @TableField("title")
    @ApiModelProperty(value = "视频标题")
    private String title;

    @TableField("video_describe")
    @ApiModelProperty(value = "视频描述")
    private String videoDescribe;

    @TableField("video_duration")
    @ApiModelProperty(value = "视频时长")
    private String videoDuration;

    @TableField("video_size")
    @ApiModelProperty(value = "视频大小（单位:MB）")
    private BigDecimal videoSize;

    @TableField("teaching_video_type_id")
    @ApiModelProperty(value = "教学视频分类id （关联teaching_video_type_info表）")
    private Long teachingVideoTypeId;

    @ApiModelProperty(value = "视频分类pid")
    private Long pid;


}
