package com.miaxis.teachingVideo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import com.miaxis.product.vo.AppletProductTypeInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 教学视频分类对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/7/1 13:47
 */
@Data
@ApiModel(value = "TeachingVideoTypeInfoVo", description = "教学视频分类对象返回参")
public class TeachingVideoTypeInfoVo{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("type_name")
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @TableField("pid")
    @ApiModelProperty(value = "父节点（预留）")
    private Long pid;

    @TableField("type_describe")
    @ApiModelProperty(value = "类型描述，该类型名称的描述")
    private String typeDescribe;

    @TableField("type_icon")
    @ApiModelProperty(value = "类型图标--对应file_info的id")
    private Long typeIcon;

    @TableField("type_sort")
    @ApiModelProperty(value = "排序")
    private Integer typeSort;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    @ApiModelProperty(value = "子节点分类")
    private List<TeachingVideoTypeInfoVo> children;

}
